osg::RunOperations Class Reference

`#include <GraphicsThread>`

Inheritance diagram for osg::RunOperations:

## Public Member Functions

| RunOperations ()
virtual void | operator() (osg::GraphicsContext *context)
Public Member Functions inherited from osg::GraphicsOperation
| GraphicsOperation (const std::string &name, bool keep)
virtual void | operator() (Object *object)
virtual void | resizeGLObjectBuffers (unsigned int)
virtual void | releaseGLObjects (osg::State *=0) const
Public Member Functions inherited from osg::Operation
| Operation (const std::string &name, bool keep)
void | setName (const std::string &name)
const std::string & | getName () const
void | setKeep (bool keep)
bool | getKeep () const
virtual void | release ()
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Operation
| Operation ()
virtual | ~Operation ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Operation
std::string | _name
bool | _keep
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Constructor & Destructor Documentation

## RunOperations()

osg::RunOperations::RunOperations | ( |  | ) |

inline

References osg::GraphicsOperation::GraphicsOperation().

## Member Function Documentation

## operator()()

virtual void osg::RunOperations::operator() | ( | osg::GraphicsContext * | context | ) |

virtual

Implements osg::GraphicsOperation.

The documentation for this class was generated from the following file:

- GraphicsThread